import { Wrapper } from './wrapper'
const { h, matter } = globalThis.ami

export function Select ({ field }) {
  return h(Wrapper, { field },
    h(matter.Input, { ...field.attrs, className: 'w-full', 'data-label': field.label },
      field.options.map(option => h('option', { value: option.value }, option.label))
    )
  )
}
